System Requirements

MerlinVR System Requirements

To run Merlin VR you will need the following:

System Requirements for Merlin VR

  • Microsoft® Windows® 95/98
    Intel®-compatible processor at 133 MHz minimum
    32 MB RAM and 200 MB swap space minimum(128 MB RAM preferred)
  • Runs in 16 bit or 32 bit color
  • 4MB Graphics card that supports a resolution of 1024x768@16bit color (Direct3D hardware acceleration supported and strongly recommended, 8MB or higher graphics accelerator preferred)

  • Windows-compliant pointing device, CD-ROM drive


Launching MerlinVR

Once you have installed MerlinVR, you may launch it by clicking on the Start menu and selecting Start > Programs > MerlinVR. You can also use any other standard Windows method such as the run function to launch MelinVR.

Note: you can only launch one instance of MerlinVR, at any given time, and other programs that use Direct X may interfere with Merlin VR's performance.


Sample Texture

Viewport Options

Viewport Options: This menu is accessed by right clicking in the top left corner of any viewport.

Full Screen Mode: Enables the current viewport to be displayed full screen without any toolbars or menus for playing animations or showing scenes for presentations. To quit fullscreen mode simply hit the esc key. You cannot move around or perform any functions in fullscreen mode.

Full Screen Resolutions: This contains a list of the available resolutions for Full Screen Mode. The default is 640 x 480. For recording to an offline video system or VCR the resolution should be set at 800 x 600 or 640 x 480.You can also adjust the color depth 8, 16, 32 bit color.

Change View: Allows you to change the current viewport to another view. Choose to view the Top, Front, Left, Right, Bottom, or Back in orthographic mode. Perspective view allows freedom of movement in all directions. You can also look through any object by selecting object or through any camera by selecting the Camera number as well as any Light by selecting the light number.

Viewport Setup:

Releasing on this option brings up a window in which you can select how you would like your viewports positioned.

Fullscreen Render States: This option lets you enable or disable VSync. Disabling VSync improves the number of FPS (frames per second), but it is recommended that your monitor have a refresh rate over 75 Hz in order to disable this option.

Fullscreen Color Depths: This option lets you choose a color depth from 16, 24, or 32, bit color.

Direct3D Driver: This menu lets you choose what kind of acceleration you want to use. You can use either Direct3D Hal (Hardware Acceleration Layer), Ramp emulation, RGB emulation or MMX emulation. MerlinVR 1.0 has been optimized for Direct3D Hal.

Render States:

Z Buffer Depth: This is a technique for performing "hidden surface removal" - the act of drawing objects so that items which are "behind" others aren't shown. The method is to track the distance of each on-screen object from the "camera", so that they are drawn in the proper order of distant objects first, close objects last. You can adjust the precision of the Zbuffer from 16, 24 and 32 bit precision. Depending on the 3D accelerator that you own, changing this option might or might not diminish performance.

Texture Mode: You can choose among these options to apply a specific type of texture filtering sceme. Nearest would give you a more pixelated image, linear would smooth out textures.

Fill Mode: You can choose either, Solid, Wireframe, or Point cloud. Choosing solid would render everything in the scene in a solid form. Wireframe would only output the wire structure of the objects in the scene. Poind cloud would show you the points

Lighting: Disabling lighting will remove the shading effect on any object in the scene.

Dither: Creating a new color by blending several colors which are already available.

Render Detail Level: Choosing a value lower than 100% will increase speed, and decrease the quality of your scene. If you have a low end 3D accelerator, you could try this option to reach better performance.


Opening and saving files

Creating, Opening and saving files.

To create a new scene, choose >File>New Scene.

To open a Merlin VR file Choose> File>Load and select the .m3d file

To import another format choose>File>Import Geometry and the file type

To save as a Merlin VR file choose>File>Save Scene as

To export as another format choose File>Export Geometry and choose the file format you wish to export to.


Saving and Image

Saving an Image

When your scene is set the way you want it to in the viewport. Right Click in the top left hand corner of the viewport to bring up the viewport settings menu. Click on save image and choose the location and the size of the image. Merlin VR can save your scene as a bitmap quickly and without rendering up to 2028 x 2028.


Saving as an AVI

When your animation is complete. Right Click in the top left hand corner of the viewport to bring up the viewport settings menu. Click on save as avi and choose the location and the size of the animation as well as chosing the available CODEC and compression level. Merlin VR can save your animation as a avi quickly and without rendering up to 2048 pixels x 2048 pixels.


Interface tutorial

MerlinVR Interface:

The MerlinVR interface consists of:

Main Viewport - The main viewport is the 3D workspace in which you create your models. The models are created here and the objects are imported here. This viewport can also be seperated into multiple viewports each showing a different perspective by choosing Viewport Setup from the viewport pulldown menu.

Object and Scene Tools above the viewport. The scene navigation tools are in blue and the object manipulation tools are in grey.

Scene Navigation (in Blue)

Move Scene - This tool moves the viewport camera forward and backward by left clicking and draging and up and down, and by right clicking and draging. This only works in the perspective view. All other views are orthographic which means they are completely flat (2 dimensional), they have no perspective, you can only either pan or Zoom in or out. Thus right clicking has no effect.

Zoom - This function zooms in (closer) or out (farther away) of both perspective or othographic views. Click the zoom button then left click and drag to zoom in or out. Right click for slower more precise zooming.

Rotate Scene - This function rotates the camera around the scene or/and object that is selected with the Look At command. Rotate scene does not work in orthographic views because they are 2 dimensional.

Field of View - The field of view command adjusts how much of the scene you can see. This command works much like changing the lens of a camera from telephoto where you can see less of the scene and fish eye in which you can see more of the scene. Field of view does however distort the perspective. Adjust by left clicking and draging the mouse. Click on Reset scene to return to normal.

Reset Scene - This command resets the viewport camera to its default position. It sometimes easy to get lost in the 3D workspace, simpily click on the reset scene to return to the default position.

Look At - The Look At command places the cameras center of rotation on the object center that you click on after selecting Look At. This is similar to the study or examine commands found in most other 3D programs or VRML browsers.

Object Tools (in Grey)

Select - Selects an object by clicking on it. By right clicking on this button it brings up the object properties menu.

Clone - Similar to a copy funtion. Left click and drag on the object to make a duplicate and move it along the horizontal axis. Right click and drag to copy and postion along the vertical axis.

Move - Select move and left click and drag to move an object around the horizontal plane. Right click and drag to move the object along the vertical plane.

Rotate - Rotates the object in 3D space. Left and right click for different axis. An click both buttons for an axis relative to the camera.

Scale - Scales an object non-uniformly. Different mouse click select differnet axis.

Delete - When selected deletes the object clicked on.

Main Tools Menu

This menu contains MerlinVR's main commands. They are seperated into four groups which are then seperated into subgroups.

Create Menu - Contains tools relating to initializing your scene. Objects, Lights, Cameras.

Paint Menu - All of the tools relating to the adding of materials or coloring objects. Paint object, Texture loading and Texture Mapping are included.

Tools Menu -All modifiers to objects views and render options are found here.

Animate - The main animation controller and options menu

View-Port Pulldown Menu in the top left corner of the screen contains options for the viewport.

Animation Slider Bar this slider bar adjusts the frame of the animation.

Animation Control Bar this bar located at the bottom right of the screen inlcudes the VCR like controls for animating. Inlcudes play, stop, record, advance, and rewind.


Primitives tutorial

Working with Primitives:

To get started building with MerlinVR you need to start with primitive objects. That is basic shapes which can be manipulated, deformed and booleaned with others to create almost any shape you wish.

For this tutuorial we will create different objects using various primitives.

#1. A table using boxes.

1. First enter the Create menu [image], then the Primitives Menu, [image].

2. Select box [image] and go to the viewport to start creating the table top.

3.Left click in the viewport where you want to start the top left-hand corner of your table top #1. Drag to define the length and width #2. Release when done then drag to define the height of the table top #3 as shown in the diagram.

4.Your table top is now created. Next select the Move button [image] from the top toolbar. Right click and drag the mouse up on to move the object up a bit from the grid so we can build legs for it #4.

5. Start the first leg the same way as the table top. Create a small box (#5) with the first click then release and drag up just slightly past the top of the table (#6)(we can move it later).

6. Switch to the bottom view by right clicking in the top left-hand corner of the viewport to bring up the viewport menu. Select bottom and click and release to change the current viewport to look from the bottom of the scene. Like so. It may also be helpful if you zoom in a little to see more acurately what you are doing.

7.Next position the first leg where you want it to be in the top left corner. Then choose [image] from the top toolbar. Click and drag on the leg to copy it and move it in position in the top right corner. Repeat this cloning until you have four legs each in the corners of the table as shown.

8. Switch to front view in the viewport menu and select the Move command once again to adjust the table to align flush with the legs and position it over top of the legs.

9 This completes the table model. Switch your view back to perspective to and move around it to examine your creation.You can have fun adding textures to it from the Paint Menu. Save your model by selecting Save from the File menu if you want to work on it more later.


UVMap tutorial

Using the UV Map

Using the UV Map can be very difficult at first, but once you have an understanding of what each function does, you will be able to add some great effects to you project.

For this tutuorial we will create an object simulating chrome using the UV Map.

1. First enter the Create menu [image], then the Primitives Menu, [image].

2. Select sphere [image] and go to the viewport and create the object.

3. Now, go to the Paint menu [image], then click on Edit.

4. Click on the Specular radio button, then slide all of the three slider bars (found under the Material editor text) all the way to the right. (the numeric value must all say 255).

5. Now, click on the Ambient radio button, then slide the three slider bars all the way to the right.

6. Bring the Specular exponent slider bar all the way to the right until the numeric value reads 100.

7. Click on texture [image], then right click on the texture explorer,

and choose the chrome texture under MVR-Chrome.

8. Click on the uv map icon [image], choose the spherical wrap [image], then make sure that auto wrap is checked [image] and that the relative to combo box is set to camera [image].

9. Next, click on the paint object button [image], then click on the object.

10. We will rotate the crease to the back of the object because when we wrap relative to the camera, the crease will be always in the back. Wrap the texture on the object by clicking on the rotate wrap button, then hold down both left and right mouse buttons and slide the mouse until the crease is at the back of the object.

11. As you can see, the bottom part of the crease remains. To remove the crease, we will use UV Scale and scale the texture on the object. Click on the UV Scale button, then by holding down the left mouse button on the object and sliding the mouse, you can scale the texture in such a way as to remove the crease relative to the camera.


Animation tutorial

Making a simple animation

Using the animation tools that MerlinVR offers, you can make some sofisticated animations for presentations, or just for fun.

For this tutuorial we will create two objects and we will make one of them fly around the other.

1. First enter the Create menu [image], then the Primitives Menu, [image].

2. Select cylinder [image] and go to the viewport and create the object. Then select the sphere [image] and create the object just infront of the cylinder.

3. Now click on the animate button [image], and slide the animation slider, and move the sphere a quarter revolution about the cylinder.

4. Now do the same thing until the sphere has returned to it's original position.

5. Now click on the animate button so it goes grey, and play [image] your animation.


Boolean tutorial

Creating new objects using boolean functions

You can create original objects by manupilating them using boolean functions. There are three functions to choose from: subtract, intersect, and union.

Subtract

Create two objects (here we have a sphere and a cube),

bring the two object together so they both touch each other in the desired fashion,

then click on the boolean function [image], then click and hold the left mouse button on the object you want remaining on the screen, and drag to the object you want to subtract from it.

The same methode is used for union, and intersect. Below are some image that will visually guide you on the two remaining boolean functions.

Union

Create two objects (here we have a sphere and a cube),

bring the two object together so they both touch each other in the desired fashion,

then click on the boolean function [image], then click and hold the left mouse button on the object you want to remain on the screen, and drag to the object you want to unite.

Intersect

Create two objects,

bring the two object together so they both touch each other in the desired fashion,

then click on the boolean function [image], then click and hold the left mouse button on the object you want remaining on the screen, and drag to the object which will intersect with the first one.


Create

ToolBar

This Menu contains the functions which let you manipulate a scene (those in blue), and the manipulation of objects (in grey).


Move Scene

Moves the view of the current viewport forward, back , up or down.

Using:

  1. Select the Move Scene button on the Tools/Camera Tools menu, or select move scene from the toolbar.
  2. Left Click and drag in any viewport to move the view forward or backward.


Roate Scene

Rotate Scene

Use Rotate Scene, found on the top toolbar or Tools/Camera Tools, to rotate your view around the viewports center. If objects in your scene are positon close to the edges of the viewport it is possible that they may rotate out of view.

Using:

  1. Click on the Rotate Scene button and click in any viewport.

  2. Drag the mouse in any direction to rotate the scene in that direction around the viewports center.


Reset Scene

Reset

Resets the scene to the default camera view. This option is useful if you have accidently lost your orientation of the scene through rotating and moving and wish to restart.

Using:

  1. Click on the viewport you want to reset.
  2. Click on the Reset button on the top toolbar or (Tools/Camera Tools) to reset the viewport to its default position.


Zoom

Zooms in closer in the selected viewport keeping center.

Using:

  1. Select Zoom from the top toolbar click and drag to adjust the magnification similar to a camera.
  2. Upward drag zooms increases zoom factor. A downward drag motion decreases zoom factor.


Field of View

Adjusts the amount of the scene that is visible and the perspective of the view. Similar the changing the lens on a camera. As the field of view increases, you see more of the scene and the perspective gets distorted such as the effect you would recieve using a wide angle lens. As the field of view decreases you see less of your scene and the perspective flattens such as the effect you would recieve using a telephoto lens.

Using:

  1. Click on the Field of View button on the toolbar
  2. Drag in a viewport to adjust the field of view angle.
  3. Drag upwards widens the angle, makes more of the scene visible and increase perspective angle.
  4. Drag down shortens the angle, makes less of the scene visible and decreases the perspective angle.


Look At

This function allows you to make an object, camera, or light force itself to remain pointed at another object.

Using:

  1. First select the object you want to look at the other object.

  2. Click on the look at button(Tools/Object Tools) or on the top Tool Bar.

  3. Click on the object you want to look At.
    The first object will instantly align itself with the other object and will remain looking at the other object even when either of them have moved


Select(object)

Select an object for manipulation or for object properties.

Using:

  1. Click on the select button on the top ToolBar or (Tools/Object Tools)
  2. Click on the desired object to select it.


Clone

The Clone tool makes an exact copy of the object you click on.

Using:

  1. Click on the Clone button on the Top ToolBar or (Tools/object Tools)

  2. Click on the object you want to clone and drag to position it.


Move(object)

Moves a selected object.

Using:

  1. Click on Move on the top ToolBar or (Tools/Object Tools).
  2. Click on the object that you want to move.
  3. Left click and drag to move the object with the cursor along the horizontal axis.
  4. Right click and drag to move the object vertically. Drag up to make the object go up. Drag down to move the object down.


Uniform Scale

Scale

This option scale an object uniformly along all of the three axis.

Usage:

1. Click on the Scale button to size the object uniformly along all three axis.

2. Drag up to increase size. Down to decrease size.


Rotate (object)

Rotates an object by clicking on it.

Using:

  1. Click on the Rotate Button on the top ToolBar or (Tools/Object Tools)

  2. Click on the object you want to Rotate.
  3. Left Click and drag the mouse to rotate the object on the horizontal plane.

    Right Click and drag to rotate the object on the Z or vertical plane.

    Left and Right Click Together and drag to rotate the camera on the center axis relative to the camera.


Delete (object)

Delete Object command erases the object you click on.

Using:

  1. Click on the Delete Button on the Top ToolBar or (Tools/Object Tools).
  2. Click on the object in the viewport that you wish to delete.


Create

Object Properties Pop-up

This pop-up options menu can be accessed by right clicking on one of the following buttons:

Position: Gives you the position on the x, y and z axis. You can modify this value simply by entering another real number in either three fields.

Rotation: Gives you the values or rotation for the x, y and z axis. You can change these values by entering a real number for the desired axis.

Scale: Determines the scaling of an object. You can change the scaling factor for each axis by entering a real value.

Type: This field gives you information on the type of object, either a camera, or just a simple object.

Name: Gives you the name of the object.

Number of Faces: Tells you the number of faces on the particular object. Note that you cannot edit this field.

Number of Vertices: Tells you the number of vertices of an object. This field cannot be edited.

Number of Normals: Tell you how many normals that the object has. This field can not be edited.


Create
This Menu contains most of the functions that will get you started modeling and setting up a scene.


Sphere

The sphere icon produces a full sphere in which you can also adjust the number of segments both vertically and horizontally.

To Create: In a viewport, click and drag to define the spheres radius. As you drag the sphere sizes pivoting around the center point and the mouse being the extent of the radius. Release the mouse when sized appropriately.

Vertical Slices: Sets the number of polygonal slices the the sphere will contain vertically. More faces produces a smoother sphere

Horizontal Slices: Sets the number of polygonal slices the the sphere will contain Horizontally. More faces produces a smoother sphere.


Box

The Box icon under the Create/Primitives menu produces a four sided box. A box can be used in many ways, long and short such as a floor, or a table, or tall, and skinny such as a column or leg.

Creating: Click on the Box icon (Create/Primitives)
In any viewport, click and drag to define the box's base length and width. Release to begin to define the box's height.

Depth, Width, Height Segments: Determines the number of segments along the respective axis. One segment along each axis is the default. A box with more segments will respond better to light.


Cylinder

The Cylinder icon under the Create/Primitives menu produces a cylinder in which its size is user defined.

Creating: Click on the Cylinder icon (create/primitives). In any viewport, click and drag to define the cylinders base. When the base has the desired radius, release the mouse button to begin to define the cylinder's height. Click when satisfied to complete the cylinder.

Vertical Slices: The number of slices or segments along the vertical axis can be changed.

Horizontal Slices: Sets the number of divisions around the cylinder. The more divisions the smoother the shape.


Cone

The Cone icon under the Create/Primitives menu produces a round cone.

Creating: Click on the Cone icon (create/primitives). In any viewport, click and drag to define the base radius of the cone. Then release to begin to define the height, either from base up or from peak up, then click the mouse button to complete the cone.

Vertical Slices: Determines the number of divisions along the vertical axis.

Horizontal Slices: Determines the number of sides around the cone.
A higher number will light and render better.
Create from center/edge:Check to create the cones radius from the center outwards or the edge outwards


Super Ellipsoid

A SuperEllipsoid is a unique primitive which is derived from a square(0,0) and a sphere (1,1)that has modifiers which soften and tighten the edges to produce many different types of shapes.

Using:

  1. Click on the Super Ellipsoid Icon (Create/Primitves)
  2. Click in the active viewport and begin draging to set the scale of the object which begins intially like a cube.
  3. Release the mouse button to define the First Modifier(N1).
  4. Click when satisfied to begin to define the second modifier.(N2)
  5. You may right click at anytime to complete the shape without going on to the next modifier if you are satisfied with the shape.

The is an endless possibility of possible shapes that can be derived from different numerical combinations of both modifiers.N Modifiers of (0,0) produce a cube while modifiers of (1,1) produce a sphere. Expermiment with

N1=0 N2=0 | N1=2 N2=0
N1=0 N2=2 | N1=2 N2=3

Horizontal Slices: Adjust how many Horizontal slices there are in the initial cube. Shapes don't lose polygon count however during modification. Shapes with a higher polygon (slice) count appear smoother and react better with lighting.

Vertical Slices: Adjust how many Vertical slices there are in the initial cube. Shapes don't lose polygon count however during modification. Shapes with a higher polygon (slice) count appear smoother and react better with lighting.


Super Toroid

A SuperToroid is a unique primitive which is derived from a torus that has modifiers which soften and tighten the edges to produce many different types of shapes.

Using:

  1. Click on the Super Toroid Icon (Create/Primitves)
  2. Click in the active viewport and begin draging to set the outer radius of the torus.
  3. Click when finished and move the mouse to define the inner radius of the torus.
  4. Click when finished to begin adjusting the N2 modifier.
  5. Click when finished to begin adjusting the N1 Modifier.
  6. You may right click at anytime to complete the shape without going on to the next modifier if you are satisfied with the shape.

The is an endless possibility of possible shapes that can be derived from different numerical combinations of both modifiers

N1=1 N2=3 | N1=1 N2=1
N1=0 N2=1 | N1=2 N2=6

Horizontal Slices: Adjust how many Horizontal slices there are in the initial cube. Shapes don't lose polygon count however during modification. Shapes with a higher polygon (slice) count appear smoother and react better with lighting.

Vertical Slices: Adjust how many Vertical slices there are in the initial cube. Shapes don't lose polygon count however during modification. Shapes with a higher polygon (slice) count appear smoother and react better with lighting.


Spot Light

Spot

Creates a spotlight which casts a editable focused beam of light similar to a spot or flashlight.

Create:

  1. Click on the spotlight button under the create/lights menu.

  2. Click anywhere in a viewport to define the lights horizontal and vertical position and drag to adjust the vertical position.
  3. Release to begin adjusting the rotational direction of the spot.


Directional Light

Directional

Creates a directional light which casts its rays parallel in a single direction. Used mostly in a scene to simulate sunlight.

Create:

  1. Click on the Directional Light icon (Create/Lights).
  2. Click in a viewport to position and direct the light source.


Point Light

Point

Creates a point light which casts rays in all directions. A point light is similar to a ambient light but not as powerful. A point light is suitable for placing in objects where a light bulb would be required.

Creating:

  1. Click on the Point icon (Create/Lights).

  2. Click in a viewport where you want the light to be positioned

  3. Right to move the light up and down.


Parallel

A parallel light cast its rays all in the same direction and cannot be rotated. Useful wherever the effect of sunlight is required.


Ambient Light

Creates an Ambient light in your scene. Ambient light illuminates your scene like a ball of light where rays cast in every direction. This type of light is perfect for lighting a large room or adding daylight to a scene.

Using:

  1. Click on the Ambient light button (Create/Lights).
  2. Click and drag in a viewport where you want the light.
  3. Release to finalize the position


Ambient Light

Camera Light

If you are using a lighting scheme that you created yourself, you can turn off the default camera light by going to Show, which is found in the menu, and either checking or unchecking Camera Light.


Create Camera

The camera object lets you visualize your project through a camera perspective. The camera object is extremely usefull when creating animations.

Using:

You can create a camera object by:

1. Click on Create/Cameras, then go into the viewport.

2. Now, click once to create the camera. After the camera is created, you can rotate the camera object to you satisfaction.

Note:

When you create the camera object, by holding down the mouse button in the viewport you will create a camera, and you can change it's position along the y-axis.


Paint Menu

 Paint
This Menu contains most of the functions responsible for the loading and editing of textures for use in painting objects, faces, and meshs.


Paint Object

The Paint Object Tool applies the current texture to the entire selected object.

Using:

  1. Click Paint Object from the Paint menu.
  2. Click anywhere on the object you want to Paint.
    The object is then rendered instantly with the new texture.


Paint Face

Paint Face tool applies the current texture as shown in the sampler to the face of an object.

Using:

  1. With a texture loaded, click on the Paint face icon found under the Paint Menu.

  2. Click on the face you want to paint and the face will then render instantly.


Sample Texture

Sample Texture takes the material information of a textured object and places it in the material editor.

Using:

  1. Click the Sample button from the Paint menu.
  2. Click on the object or face with the texture you want to sample.
  3. The texture then appears instantly in the material editor and 3D sampler


Paint Existing Material

 Paint Existing

Paint Existing paints a newly selected material to an object's polygon as well as all polygons on that object having the same material. This is useful if you have painted many polygons with one type of material and have recently found a better suited material.


Edit Color

Edit the materials hue by clicking on the color radio button to bring up windows color selection dialog box.

Adjust the color values, if desired using the sliders.


Edit Specular Color

Edit Specular

This setting adjusts the color of the highlights and how it reacts to lights.

Using:

  1. Under the Edit Texure menu (Paint/Edit) click the Specular radio button.
  2. Choose the desired color from the color dialog. Adjust the color if desired using the R(red), G(green) and B(blue) sliders.
    The 3D sampler updates in instantly the effect of the slider.


Exponent

Specular Exponent

This setting determines the intensity of the specular highlights of a texture. An exponent factor of 1 equals 0% shininess and and exponent factor of 100 equals 100% shininess

Using:

  1. Adjust the exponent slider (Paint/Edit) left to decrease, right to increase.


Exponent

Transparency

This setting determines the level of transparency of a texture. A transparency factor of 0 equals 0% transparent and a transparency factor of 100 equals 100% transparent.

Using:

  1. Adjust the exponent slider (paint/edit) left to decrease, right to increase.


Emmisive

This setting determines the color of the glow or illumination of a texture. This is not determined by the type of light you are using.

Using:

  1. Edit the emmisive glow by adjusting the emmisive color dialog box(Paint/Edit)by clicking the Emissive radio button, then clicking the right of the sliders and picking the desired color. Adjust the amount of RGB (red,green,blue) to the desired emmisive color component


Emmisive

Ambient

This setting determines the color of the illumination of a texture.

Using:

  1. Edit this setting by adjusting the ambient color dialog box (Paint/edit) by clicking the Ambient radio button, then clicking the right of the sliders and picking the desired color. Adjust the amount of RGB (red,green,blue) to the desired ambient color component


Reset All

Textures

The texture explorer lets you load custom textures in a 8 choice pallet.

Using:

1. You load a texture by simply right clicking on one of the squares, then choose your texture.


Reset All

Enable Color Filter

Excludes a color from the current texture (filters the color out).

Using:

1. You can enable this option by putting a check in the check box, then pick any color by clicking on the adjecent black box.


UV Mapping

UV Mapping coordinates specify the placement, orientation, and scale, of a map(image) on an object's geometry. This is known as "wrapping" the texture around the geometry.

Types of Wraps:

Flat: This wrapping option wraps an object (preferably a surface-like object) from the top surface all the way through the object.

Sheet: Wrapping with this option wraps a selected object on the top surface, and on the bottom. The bottom side of the wrap is in the opposite direction and fliped reletive to the top of the surface being wrapped.

Cubic: This type of wrap consists of placing an image on all six sides of a cube and should be used on flat geometry such as a box, or flat mesh.

Spherical: This type of wrap has the image wrap around the sphere and then gathered at the top and bottom. This would be well used mapping globes or planets.

Cylindrical: This type of wrap consists of one image wraped around the sides and a duplicates of the image are distorted at the ends.

Chrome: Using this type of wrap you can simulate a chrome like effect. By choosing a texture, (chrome, or brass, etc...) and painting the object with the Chrome wrap, you get a really professional look.

Using: Simply click on one of the shapes corresponding to the type of wrap you want.

Other options:

Adaptive Scale: When you wrap a texture on an object using adaptive scaling, the texture will either shrink or/and stretch to fit the object.

Auto wrap: Automaticaly wraps an object in real time. If for example you rotate the scene, and you applied a chrome wrap with a chrome texture, having auto wrap on would simulate the shiny effect of chrome.

Note: The Reletive to option must be set to camera in order to have this effect.

Relative to: This option dertermines if the wrapping is reletive either to: the camera, the object, or the scene. If the wrap is reletive to the camera, when you rotate the scene, the texture will wrap itself reletive to the camera object. If you wrap reletive to the scene, the texture will wrap itself reletive to the center of the scene. Wrapping reletive to the object wraps the texture on the object reletive to itself.


UV Mapping

Wrap Position

It maybe necessary to adjust the position of the map on the geometry. That is move or size the image so that it looks the way you want it to.

The first step is to determine which axis you want to flip the current texture along the proper axis.

Click on the X, Y, or Z on the Quick Axis Bar, and watch the 3D sample to see if your textured is wrapped on the proper axis.

You can also wrap the texture manually, using this Wrap's Position Dialog Box to fine tune the positioning.


UV Mapping

UV Scale

UV Scale lets you scale the texture either along the x-axis, or along the y-axis of an object.

Using:

1. Select a texture of your choice by using the Textures menu. (Paint/Textures)

2. Select an object and paint it with the texture you selected.

3. Go to the UV Map menu (Paint/UV Map), then click on the UV Scale button.

4. By holding down the left button on the object, and sliding the mouse either to the left or right, you can scale the texture on the object along the x-axis.

5. By holding down the right mouse button, and sliding the mouse either up or down, you can scale the texture on the object along the z-axis of the object.

Note: By holding down both mouse buttons, you can scale the texture of an object in any direction simultaneously.


UV Mapping

UV Offset

UV Offset lets you change the placement of the texture either along the x-axis, or along the y-axis of an object.

Using:

1. Select a texture of your choice by using the Textures menu. (Paint/Textures)

2. Select an object and paint it with the texture you selected.

3. Go to the UV Map menu (Paint/UV Map), then click on the UV Offset button.

4. By holding down the left button on the object, and sliding the mouse either to the left or right, you can change the offset of the texture on the object along the x-axis.

5. By holding down the right mouse button, and sliding the mouse either up or down, you can offset the texture on the object along the z-axis of the object.

Note: By holding down both mouse buttons, you can offset the texture of an object in any direction simultaneously.


UV Mapping

Rotate Wrap

Rotate Wrap lets you rotate the texture either along the x-axis, or along the y-axis of an object.

Using:

1. Select a texture of your choice by using the Textures menu. (Paint/Textures)

2. Select an object and paint it with the texture you selected.

3. Go to the UV Map menu (Paint/UV Map), then click on the Rotate Wrap button.

4. By holding down on the left mouse button, you can rotate the wrap relative to the camera.

5. By holding down the right mouse button, you can rotate the wrap relative to the normal vector of the plane formed by the up vector and the direction vector.

6. By holding down both mouse buttons, you can rotate the position of the direction vector relative to the Up vector.


 Tools
This Menu contains most of the functions responsible for the editing Objects, Cameras, Render Options, and Input Devices.


Zoom

Zooms in closer in the selected viewport keeping center.

Using:

  1. Select Zoom from the top toolbar click and drag to adjust the magnification similar to a camera.
  2. Upward drag zooms increases zoom factor. Downward drag decreases zoom factor.


Zoom (all)

Zooms the magnificaton in all viewports not including any viewports which may be selected to look through an object or a camera.

Using:

  1. Click on the Zoom All button Tools/Camera Tools.
  2. Drag in a viewport to adjust the zoom
    magnification in all viewports.
  3. Drag upwards to increace zoom closer.
  4. Drag down to decrease zoom farther away.


Field of View

Field

Adjusts the amount of the scene that is visible and the perspective of the view. Similar the changing the lens on a camera. As the field of view increases, you see more of the scene and the perspective gets distorted such as the effect you would recieve using a wide angle lens. As the field of view decreases you see less of your scene and the perspective flattens such as the effect you would recieve using a telephoto lens.

Using:

  1. Click on the Field button (Tools/Camera Tools)
  2. Drag in a viewport to adjust the field of view angle.
  3. Drag upwards widens the angle, makes more of the scene visible and increase perspective angle.
  4. Drag down shortens the angle, makes less of the scene visible and decreases the perspective angle.


Field of View All

Field (all)

Adjusts the amount of the scene that is visible and the perspective of the view in all the viewports. Similar the changing the lens on a camera. As the field of view increases, you see more of the scene and the perspective gets distorted such as the effect you would recieve using a wide angle lens. As the field of view decreases you see less of your scene and the perspective flattens such as the effect you would recieve using a telephoto lens.

Using:

  1. Click on the Field All button (Tools/Camera Tools)
  2. Drag in a viewport to adjust the field of view angle for all visible viewports.
  3. Drag upwards widens the angle, makes more of the scene visible and increase perspective angle.
  4. Drag down shortens the angle, makes less of the scene visible and decreases the perspective angle.


Reset (all)

Resets the all the viewports to the default camera view. This option is useful if you have accidently lost your orientation of the scene through rotating and moving and wish to restart.

Using:

  1. Click any viewport.

  2. Click on the Reset button on the top toolbar or (Tools/Camera Tools) to begin to reset all of the viewports to their default camera views.


Look At

This option allows you to select an object and force it to constantly look at another selected object.

Using:

  1. Select an object.
  2. Click on the Look At Button on the top toolbar or (Tools/Object Tools).
  3. Click on the object that you want the first object to look at. The first object will spin around so as to look at the selected object. When the object is moved it will always look at the other object. When the object being looked at moves the first object looking will move and rotate accordingly on its own so as to always look at the looked at object.


Look At

Look At (all)

This option allows you to select an object and force it to constantly look at another selected object, in all viewports simultaneously.

Using:

1. Select an object.

2. Click on the Look At (all) Button on the top toolbar or (Tools/Object Tools).

3. Click on the object that you want the first object to look at. The first object will spin around so as to look at the selected object. When the object is moved it will always look at the other object. When the object being looked at moves the first object looking will move and rotate accordingly on its own so as to always look at the object. This will occur in all of the viewports simultaneously.


Size to Fit

Centers and zooms the view in the active viewport to display a selected object.

Using:

  1. Click the Size to Fit button (Tools/Camera Tools)
  2. Click on the desired object. The view will then zoom in or out to fit that object fully in the viewport so that the entire object becomes visable and fits to the extents of the viewport size.


Size to Fit

Size to Fit (all)

Centers and zooms the view in all active viewports to display a selected object.

Using:

  1. Click the Size to Fit button (Tools/Camera Tools)
  2. Click on the desired object. The view will then zoom in or out to fit that object fully in all viewports so that the entire object becomes visable and fits to the extents of each viewports size.


Stretch

Move Origin

The Move Origin command moves the origin of an object (that is the point in 3D space that it rotates around) in the position defined by the user. This command is often used to adjust the rotational aspect of the object. For example if you were animating a visor opening on a helmet you would want to move the origin of the visor to coincide with the origin of the helmet as such to be able to rotate it realistically.

Using:

  1. Click on the move origin button (Tools/Object Tools)

  2. Click on the object you want to move the origin of.

  3. Drag to move the origin (shows up as a small red sphere)to the desired location.

  4. Release to set.


Stretch

The Stretch command modifies the selected object by scaling the object along the selected stretch axis and an opposite scale is applied to the minor axis. Simulating a stretch effect.

Using:

  1. Click on the stretch button (Tools/Object Tools)

  2. Left Click on the object you want to stretch.

  3. Drag to stretch the object. Further away from center elongates the object. Closer to the center flattens the object.


Boolean

Don't Look

The don't look command disables the look at command.

Using:

  1. Click on the don't look button(Tools/Object tools)
  2. Click on the object that is looking at another to disable it for normal manipulation.


Bend

Taper

The Taper command produces a tapered contour by scaling one end of an object's geometry. You can control the amount and curve of the taper on two sets of axes. You can also limit the taper to a specifc section of the geometry.

Using:

  1. Click on the taper button( tools/Object tools)
    click on the object where you want to taper.

  2. Drag the mouse up to taper with a negative effect. Drag down to taper with a positive effect.

  3. Release when the desired taper effect has been reached.

    1.ORIGINAL

    2.Positive Effect

    3.Negative Effect

Adjusting: You can adjust how much of the object you wish to taper and which axis you would like to taper the object on.

  1. To adjust where you would like the taper to start enter the percentage down from the bottom of the object where you want the taperto start. For example Start =0.2 or 20% to start

  2. Enter the percentage where you want the taper to finish, from the bottom up. For instance 0.5 or 50% from the top.

  3. Choose which axis to affect. The axis if default to Y.

  4. Choose the factor of how much you will taper.Higher results in greater sensitivity when adjusting.


Stretch

Twist

The Twist command produces a twist in an object’s geometry. You can control the angle of the twist on any of three axes. You can also limit the twist to a specified section of the geometry.

Using:

  1. Click on the twist button (Tools/Object Tools)

  2. Left Click on the object you want to twist.

  3. Drag in the direction you want to twist.Drag further to increase the amount of twisting.

Adjusting:

  1. You can adjust the starting point in % of the object from bottom to top, and the finishing point of the section you want to twist, as well as the angle of the twist.

  2. Choose the axis of the Pull by clicking on X,Y,or Z


Bend

The bend command bends the object up to 360 degress about a single axis. You can control the angle and direction of the bend by using the mouse.

Using:

  1. Click on the bend button (tools/Object tools)
    click on the object where you want to bend.

  2. Drag in the direction of the mouse cursor.
  3. Drag Farther to bend more and closer to bend less.

    1.     2.

Adjusting: You can adjust how much of the object you wish to bend and which axis you would like to bend on.

  1. To adjust where you would like the bend to start enter the percentage down from the bottom of the object where you want the bend to start. For example Start =0.2 or 20% to start
  2. Enter where you want the bend to finish in percentage from the bottom up. For instance 0.5 or 50% from the top.
  3. Choose which axis. The axis if default to X.


Stretch

Pull

The Pull command modifies the selected object by pulling a section of the object along the selected axis away from the remaining sections causing the effected verticies to adjust resulting in a smooth object deformation.

Using:

  1. Click on the pull button (Tools/Object Tools)
  2. Left click on the object you want to pull.
  3. Drag to pull the object in the desired direction and distance.

Adjusting:

  1. You can adjust the starting point in % of the object from bottom to top, and the finishing point of the section you want to pull, as well as the factor or how sensitive the pull.
  2. Choose the axis of the Pull by clicking on X,Y,or Z


Non-Uniform Scale

Non-Unifom Scale

The Non-Uniform Button (Tools/Object Tools) scales the object in the desired directions.

Using:

  1. Left click and drag to scale the object along the x and y-axis.
  2. Right click and drag to scale the object along the z-axis .


Bend

Bulge/Sqeeze

The bulge command bulges an object outward or inward onlong a specified axis.You can control the starting and finishing points of the bulge by entering them in the bulge properties box..

Using:

  1. Click on the bulge button( tools/Object tools)
    click on the object where you want to bulge.

  2. Drag the mouse up to bulge. Drag down to sqeeze.
  3. Release when the desired bulge/sqeeze effect has been reached.

    1.ORIGINAL

    2.BULGE

    3.SQEEZE

Adjusting: You can adjust how much of the object you wish to bulge and which axis you would like to bulge the object on.

  1. To adjust where you would like the bulge/sqeeze to start enter the percentage down from the bottom of the object where you want the bulge/sqeeze to start. For example Start =0.2 or 20% to start
  2. Enter the percentage where you want the bend to finish, from the bottom up. For instance 0.5 or 50% from the top.
  3. Choose which axis to affect. The default axis is the y-axis.


Rotate Object

Relax

The Relax modifier changes the apparent surface tension in a mesh by moving vertices closer to, or away from, their neighbors. The typical result is that the object gets smoother and a little smaller as the vertices move towards an averaged center point.

Using Relax:

  1. Click on the Relax Button(Tools/Object Tools)
  2. Change the desired axis or click on all the axis if you want to relax the entire object.

  3. Click on the object or surface to relax one iteration.
  4. Click again if more relaxing is required.


Creating a Boolean Object

  1. Click on the desired boolean function(Union, Intersect, Subtract) found under tools/object tools.
  2. Click on the first object or primary object(A) and drag the cursor onto the secondary object or (B)

  3. Release to complete the boolean


Subtract

This boolean object contains the volume of one original object with the intersected volume subtracted from it.


Union

This boolean object contains the volume of both objects. The intersecting or overlapping portion of the geometry is removed.


Boolean Intersect

Intersect

This boolean object contains only the common volume of both objects. The common volume is where the objects intersected or overlapped.


Render Options

This Menu includes commands to adjust the scene rendering.

Background Color: Changes the Background color if a image is not loaded
Fog Color: Changes the fog color. If fog is enabled, this button changes the background color to be the same as the fog color.
Fog Start: Adjust the fog starting distance from the camera.
Fog End: Adjust the fog ending distance or how far you can see the fog.
Fog Density: Determine how dense the fog is or how well you can see the object in the fog.
Turn Grid Off: Turns the standard grid plane off. This also speeds up animation playback.


Reset All

Navigate

The Navigate/Use for option lets you choose if you want to navigate using an object, or a camera.


Reset All

Movement

The movement options let you specify which direction you with to navigate, either along the x, y, or z axis.


Reset All

Rotation

The rotation menu lets you specify in which direction you wish to rotate your input device. If your perspective is relative to the camera, then you have to set Reletive to... to Camera/Scene/Camera.


Reset All

Magellan Buttons

The Magellan Buttons menu let you specify what you want the 8 button on the LogiCad3D Magellan Mouse.


Animation Parameters

These sets of parameters pertain to the playing and recording of realtime animations.


Animation Parameters

These sets of parameters pertain to the playing and recording of realtime animations.

Parameters

Clear Animation: Erases all animation in the current scene timeline.

Movement: These moslty pertain to the animation control bar at the bottom of the screen.

Current frame: The current frame number the animation slider is on.

Maximum frames: The number of frames you want in your animation.

Current State: Returns the state of record button. Either ANIMATING, STOPPED, or PLAYING.

Playing Speed: The set number of frames per/sec that the animation is set to play at.

Actual Speed: This is the return value of the current animation playing in frames per sec.

Play Options:

Open/Closed: First and last keys of each key chain will fix the interpolated values outside of the index span. For Closed the interpolation is cyclic. The keys effectively repeat infinitely with a period equal to the index span. For compatibility with animations, any key with an index equal to the end of the span is ignored.

Path style:

NEAREST Nearest key value is used for determining in-between values on each key chain (execution thread).

LINEAR Linear interpolation between the two nearest keys is used for determining in-between values on each key chain.

Spline blending function on the four nearest keys is used for determining in-between values on each key chain.

Frame Based speed:

Frame speed: Renders every frame during animation without keeping into account the bounds of the animations linear time. Setting the frame speed to Normal would play the same as Time based speed, while if you choose Fastest, it would skip a number of frames every second, thus the animation will appear to run faster, but choppier.

User speed: By checking this option you can choose how many frames are played every second manualy.

Time based speed:

Frame rate: This value determines how many frames per second the animation will play.

Recording speed:

Recording speed: This value determines how many frames per second you will record.

Record every: Tells you the time intervals between each recorded frame.


Animation ToolBar

This toolbar is used in animating objects. To animate an object or light follow these directions.

Animate an object:

With an object in the viewport. click on ANIMATE on the animation toolbar.

Move the animation slider at the bottom of the screen to the desired frame position.

Move or rotate the object into a different position.

Click the Stop Button or Click the ANIMATE button again to stop animating.

Click play to watch the object smoothly animate from the initial postion to the last postion.

In this version, you are able to animate:

Lights
Cameras
Objects
Materials
Light color
Light Balance
Object Color

ToolBar:

Animate: This button toggles the animation state. When activated records the frame position and the objects position or properties.

Rewind to Begining:This button resets the slider to the begining frame 1

Step Back: This button moves the animation slider 1 frame back.

Stop: This button stops the animation from playing or recording.

Play: this button plays the animation from the frame the slider is on and continues forward looping playback.


B-spline Surface

B-spline is a mesh in which the control points affect only their local region of the surface.

Creating:

  1. select B-spline from the create surfaces menu.

  2. Click in any viewport and drag to define the meshes length and width.

  3. Release when the desired size has been achieved. To deform the mesh select Move from the top menu bar and click on the control point on the portion of the mesh that you want to deform.Left click and drag to move the control point horizontally, and right click and drag to move the control point vertically positive or negative.


B-Spline Surface

Catmull Rom Surface

Catmull Rom is a mesh in which the control points affect only their local region of the surface and whose control points always lie on the mesh..

Creating:

  1. select Catmull Rom from the create surfaces menu.

  2. Click in any viewport and drag to define the meshes length and width.

  3. Release when the desired size has been achieved. To deform the mesh select Move from the top menu bar and click on the control point on the portion of the mesh that you want to deform.Left click and drag to move the control point horizontally, and right click and drag to move the control point vertically positive or negative.


Shadows

The Shadow On Command creates a shadow between a specified light and and an specified object. This allows for real time shadow simulation. The shadow behave correspondingly with the light source which is casting the shadow.

Using:

  1. To create a shadow first you must have a least one object and at least one light.

  2. Click the Shadow On button (Create/Lights)

  3. Click on the light you want to cast the shadow on to and drag to the object you want to have the shadow and release the mouse button.

The Shadow Off command allows you to turn of the shadow function of an object that has a shadow.

Using:

  1. Click Shadow Off (Create/Lights).
  2. Click on the object with the shadows on and they will disappear.